Subject: bug#8132: 23.1; comint shell replaces \ in paths with /

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Feb 2011 18:04:19 -0500

>> In short, it breaks all native windows command-line tools.
> Do you really need cmd.exe as your shell inside Emacs?  What cmd
> features do you depend on?

If / doesn't work when the shell is cmd.exe and cmd.exe is the only
(external) shell available by default under Windows (or at least the
most commonly used), then shell.el should try to accomodate it somehow.
Maybe the best way is for shell.el to burp or warn the user that she
would be better served by eshell.  But maybe file completion in shell.el
should be tweaked to not turn \ into / in that case.

        Stefan